openni::Array< T > Class Template Reference

`#include <OpenNI.h>`

## Public Member Functions

| Array ()
| Array (const T *data, int count)
| ~Array ()
int | getSize () const
const T & | operator[] (int index) const

## Detailed Description

template<class T>
class openni::Array< T >

Provides a simple array class used throughout the API. Wraps a primitive array of objects, holding the elements and their count.

## Constructor & Destructor Documentation

## Array() [1/2]

template<class T>

openni::Array< T >::Array | ( |  | ) |

inline

Default constructor. Creates an empty Array and sets the element count to zero.

## Array() [2/2]

template<class T>

openni::Array< T >::Array | ( | const T * | data,
|  | int | count )

inline

Constructor. Creates new Array from an existing primitive array of known size.

Template Parameters

  [in] | T Object type this Array will contain.

Parameters

  [in] | data | Pointer to a primitive array of objects of type T.
  [in] | count | Number of elements in the primitive array pointed to by data.

## ~Array()

template<class T>

openni::Array< T >::~Array | ( |  | ) |

inline

Destructor. Destroys the Array object.

## Member Function Documentation

## getSize()

template<class T>

int openni::Array< T >::getSize | ( |  | ) | const

inline

Getter function for the Array size.

Returns
  Current number of elements in the Array.

## operator[]()

template<class T>

const T & openni::Array< T >::operator[] | ( | int | index | ) | const

inline

Implements the array indexing operator for the Array class.

The documentation for this class was generated from the following file:

- OpenNI.h